GeographicLib 2.3

Classes | Namespaces | Macros
Geoid.hpp File Reference

Header for GeographicLib::Geoid class. More...

`#include <vector>`
`#include <fstream>`
`#include <GeographicLib/Constants.hpp>`

Go to the source code of this file.

## Classes
class | GeographicLib::Geoid
| Looking up the height of the geoid above the ellipsoid. More...

## Namespaces
namespace | GeographicLib
| Namespace for GeographicLib.

## Macros
#define | GEOGRAPHICLIB_GEOID_PGM_PIXEL_WIDTH 2

## Detailed Description

Header for GeographicLib::Geoid class.

Copyright (c) Charles Karney (2009-2022) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Geoid.hpp.

## Macro Definition Documentation

## ◆ GEOGRAPHICLIB_GEOID_PGM_PIXEL_WIDTH

#define GEOGRAPHICLIB_GEOID_PGM_PIXEL_WIDTH 2

The size of the pixel data in the pgm data files for the geoids. 2 is the standard size corresponding to a maxval 216−1. Setting it to 4 uses a maxval of 232−1 and changes the extension for the data files from .pgm to .pgm4. Note that the format of these pgm4 files is a non-standard extension of the pgm format.

Definition at line 31 of file Geoid.hpp.